> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.showcharacternameinlineview.md).

# showCharacterNameInLineView

Field in [LineView](/2.5/api/csharp/yarn.unity/yarn.unity.lineview.md)

## Summary

Controls whether the [lineText](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.linetext.md) object will show the character name present in the line or not.

```csharp
public bool showCharacterNameInLineView = true;
```

## Remarks

{% hint style="info" %}
This value is only used if [characterNameText](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.characternametext.md) is `null`.
{% endhint %}

If this value is `true`, any character names present in a line will be shown in the [lineText](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.linetext.md) object.

If this value is `false`, character names will not be shown in the [lineText](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.linetext.md) object.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.showcharacternameinlineview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
